# eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.blackListImports

Module implementing checks for blacklisted imports.

### Global Attributes

_blacklists

### Classes

None

### Functions

checkBlacklist | Function to check for blacklisted method calls.
getChecks | Public method to get a dictionary with checks handled by this module.

## checkBlacklist

checkBlacklist(reportError, context, config)

Function to check for blacklisted method calls.

reportError (func)
  function to be used to report errors
context (SecurityContext)
  security context object
config (dict)
  dictionary with configuration data

Up

## getChecks

getChecks()

Public method to get a dictionary with checks handled by this module.

Return:
  dictionary containing checker lists containing checker function and list of codes

Return Type:
  dict

Up